Bug 1080494 - fvwm2 missing alternatives configuration
fvwm2 missing alternatives configuration
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 Applications
Current
All openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: Michael Vetter
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-11 23:36 UTC by Tony Su
Modified: 2018-06-07 22:37 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Su 2018-02-11 23:36:17 UTC
Since the change in Tumbleweed to manage window managers using update-alternatives, most window manager seem to be configured with alternatives but it looks like fvwm2 was overlooked.

The following does what is needed although someone may wish to modify the priority (my setting 30)

update-alternatives --install /usr/share/xsessions/default.desktop default.xsession.desktop /usr/share/xsessions/fvm2.desktop 30
Comment 1 Michael Vetter 2018-05-18 13:42:25 UTC
Thanks for the detailed report.

SR#610357 will fix it.
Comment 2 Swamp Workflow Management 2018-05-18 14:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1080494) was mentioned in
https://build.opensuse.org/request/show/610357 Factory / fvwm2
Comment 3 Michael Vetter 2018-06-05 07:48:11 UTC
This also needs to be done for Leap 15.0.

User just reported this in:
> <opensuse@opensuse.org>
> Subject: [opensuse] Documentation on using an alternate display manager like xdm or fvwm
Comment 4 Michael Vetter 2018-06-05 07:54:23 UTC
SR#614158
Comment 5 Swamp Workflow Management 2018-06-05 08:20:05 UTC
This is an autogenerated message for OBS integration:
This bug (1080494) was mentioned in
https://build.opensuse.org/request/show/614158 15.0 / fvwm2
Comment 6 Michael Vetter 2018-06-05 09:14:51 UTC
Accepted.
Comment 7 Swamp Workflow Management 2018-06-07 22:10:17 UTC
openSUSE-RU-2018:1590-1: An update that has one recommended fix can now be installed.

Category: recommended (low)
Bug References: 1080494
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    fvwm2-2.6.7-lp150.2.3.1